Bug 226183 - lang/neko: update to 2.2.0
Summary: lang/neko: update to 2.2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks: 225560
  Show dependency treegraph
 
Reported: 2018-02-24 19:37 UTC by Marcin Cieślak
Modified: 2018-03-10 07:36 UTC (History)
3 users (show)

See Also:
penzin.dev: maintainer-feedback+


Attachments
Update port to neko 2.2.0 (4.88 KB, patch)
2018-02-24 19:37 UTC, Marcin Cieślak
no flags Details | Diff
Update port to neko 2.2.0 (4.85 KB, patch)
2018-02-24 21:22 UTC, Marcin Cieślak
no flags Details | Diff
Update port to neko 2.2.0 (2.70 KB, patch)
2018-03-09 20:26 UTC, Petr Penzin
no flags Details | Diff
'poudriere testport' output (77.18 KB, text/plain)
2018-03-09 20:29 UTC, Petr Penzin
no flags Details
'poudriere bulk -t' output (1.46 KB, text/plain)
2018-03-09 20:30 UTC, Petr Penzin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcin Cieślak 2018-02-24 19:37:27 UTC
Created attachment 190969 [details]
Update port to neko 2.2.0

The patch attached updates neko to 2.2.0
Comment 1 Yuri Victorovich freebsd_committer 2018-02-24 20:04:52 UTC
This
GH_TAGNAME=	v${PORTVERSION:S/./-/g}
can't be used.
Please replace with DISTVERSIONPREFIX.

Thanks!
Yuri
Comment 2 Marcin Cieślak 2018-02-24 21:05:19 UTC
Thanks, can I use:

 PORTNAME=      neko
-PORTVERSION=   2.1.0
-PORTREVISION=  1
+DISTVERSIONPREFIX=     v
+DISTVERSION=   2-2-0
 CATEGORIES=    lang

instead?
Comment 3 Yuri Victorovich freebsd_committer 2018-02-24 21:11:10 UTC
(In reply to Marcin Cieślak from comment #2)

Yes.
Comment 4 Marcin Cieślak 2018-02-24 21:22:23 UTC
Created attachment 190974 [details]
Update port to neko 2.2.0

Not using GH_TAGNAME anymore
Comment 5 Yuri Victorovich freebsd_committer 2018-02-24 22:17:00 UTC
Marcin,

Thank you for quickly correcting the problem. Looks good now.
Waiting for the maintainer's approval.

Yuri
Comment 6 Marcin Cieślak 2018-02-24 22:32:23 UTC
Thank you for picking up that one so quickly!

Also big thanks to brnrd@ for prodding be gently while writing this port update during #FOSDEM.
Comment 7 Petr Penzin 2018-03-09 20:26:00 UTC
Created attachment 191351 [details]
Update port to neko 2.2.0

Sorry for taking so long, but I am finally done. I don't think patching CMake files is necessary.

Portlint says "looks good." Poudriere output to follow.
Comment 8 Petr Penzin 2018-03-09 20:29:45 UTC
Created attachment 191352 [details]
'poudriere testport' output

Output of 'poudriere testport' command for patch introduced in comment #7.
Comment 9 Petr Penzin 2018-03-09 20:30:29 UTC
Created attachment 191353 [details]
'poudriere bulk -t' output

Output of 'poudriere bulk -t' command for patch introduced in comment #7.
Comment 10 Yuri Victorovich freebsd_committer 2018-03-10 07:35:22 UTC
Committed with some changes.
Thank you Marcin and Petr!
Comment 11 commit-hook freebsd_committer 2018-03-10 07:36:17 UTC
A commit references this bug:

Author: yuri
Date: Sat Mar 10 07:35:18 UTC 2018
New revision: 464047
URL: https://svnweb.freebsd.org/changeset/ports/464047

Log:
  lang/neko: Update to 2.2.0

  Port changes:
  * Changed to DISTVERSION
  * Added LICENSE_FILE
  * Simplified BUILD_DEPENDS
  * Added to LIB_DEPENDS
  * USES=cmake:outsource
  * Added USES=mysql
  * Added the options APACHE UI

  PR:		226183
  Submitted by:	Marcin Cie?lak <saper@saper.info> (original version)
  Submitted by:	Petr Penzin <penzin.dev@gmail.com> (maintainer, accepted version)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/lang/neko/Makefile
  head/lang/neko/distinfo
  head/lang/neko/pkg-plist